Subject: Re: Forcing re-reading files with unchanged stats

From: Tomas Carnecky <[email-masked]>
Date: Thu, 13 Jan 2011 04:12:25 +0100

On 1/12/11 3:07 PM, Maaartin wrote:
> There are files in my working tree which changes, but their size and mtime
> remains the same (I know it's strange, but it's useful). Can I make git to re-

When can this be useful?

> read them all, so it recognizes the change? Ideally, using a configuration
> variable. The repo is fairly small, so speed is no issue here.

Try git update-index --refresh. I'm not aware of any config option, but 
you might want to look through man git-config.

tom